Skip to main content
Check Sale Entity Copy

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Body

SaleEntity, SourceSaleId

CheckSaleEntityCopy: Check a sale copy before saving it: which of the optional parts of SaveSaleEntityCopy can be copied, and errors in the fields the user can edit. Nothing is saved. SaveSaleEntityCopy refuses an optional part that is reported as not licensed, or as not available for any reason other than the sale type not using stakeholders.

SaleEntity
object

Partial SaleEntity class associating the generated SaleEntity with an interface.

SourceSaleId
integer<int32>

Response

OK

Result of checking a sale copy before it is saved, for SaleAgent.CheckSaleEntityCopy: whether each optional part can be copied, and errors in the fields the user can edit. Carrier object for SaleCopyCheck. Services for the SaleCopyCheck Carrier is available from the Sale Agent.

Stakeholders
object

Whether one optional part of a copy can be copied, and if not, why. Returned for each part by the copy check operations, such as SaleAgent.CheckSaleEntityCopy and ProjectAgent.CheckProjectEntityCopy. Carrier object for CopyPartCheck. Services for the CopyPartCheck Carrier is available from the Sale Agent.

Quote
object

Whether one optional part of a copy can be copied, and if not, why. Returned for each part by the copy check operations, such as SaleAgent.CheckSaleEntityCopy and ProjectAgent.CheckProjectEntityCopy. Carrier object for CopyPartCheck. Services for the CopyPartCheck Carrier is available from the Sale Agent.

Notes
object

Whether one optional part of a copy can be copied, and if not, why. Returned for each part by the copy check operations, such as SaleAgent.CheckSaleEntityCopy and ProjectAgent.CheckProjectEntityCopy. Carrier object for CopyPartCheck. Services for the CopyPartCheck Carrier is available from the Sale Agent.

Whether one optional part of a copy can be copied, and if not, why. Returned for each part by the copy check operations, such as SaleAgent.CheckSaleEntityCopy and ProjectAgent.CheckProjectEntityCopy. Carrier object for CopyPartCheck. Services for the CopyPartCheck Carrier is available from the Sale Agent.

FieldErrors
object

Localized error messages for the fields the user can edit in a copy (heading, contact, person, project), keyed by field name as in ValidateSaleEntity. Empty when there are none.